org.eclipse.net4j.util.container.delegate

## Class AbstractDelegator.DelegatingIterator

- java.lang.Object
- - org.eclipse.net4j.util.container.delegate.AbstractDelegator.DelegatingIterator

- All Implemented Interfaces:
    Iterator<E>
  Direct Known Subclasses:
    ContainerList.DelegatingListIterator
  Enclosing class:
    AbstractDelegator<E>

      public class AbstractDelegator.DelegatingIterator
      extends Object
      implements Iterator<E>

  A delegating `iterator`.
  Author:
    Eike Stepper
  Apiviz

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected E` | `last`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingIterator(Iterator<E> delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<E>` | `getDelegate()`
    `boolean` | `hasNext()`
    `E` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### last

          protected E last

  - ### Constructor Detail

    - #### DelegatingIterator

          public DelegatingIterator(Iterator<E> delegate)

  - ### Method Detail

    - #### getDelegate

          public Iterator<E> getDelegate()

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<E>`
      Category
        READ

    - #### next

          public E next()

      Specified by:
        `next` in interface `Iterator<E>`
      Category
        READ

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<E>`
      Category
        WRITE

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html